%global forgeurl https://github.com/DanielOgorchock/joycond
%global commit 9d1f5098b716681d087cca695ad714218a18d4e8

%forgemeta

Name:		joycond
Version:	0.1.0
Release:        %autorelease
Summary:	userspace daemon to combine joy-cons from the hid-nintendo kernel driver

License:	GPL-3.0-only
URL:		%forgeurl
Source0:	%forgesource

# hardens systemd unit security
Patch0:		https://github.com/DanielOgorchock/joycond/pull/90.patch#/pr-90-paranoia-mode.patch

BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	pkgconfig(libevdev)
BuildRequires:	pkgconfig(libudev)

%description
joycond is a linux daemon which uses the evdev devices provided by hid-nintendo
(formerly known as hid-joycon) to implement joycon pairing.

%prep
%forgesetup


%build
%cmake
%cmake_build


%install
install -Dpm 0755 %{__cmake_builddir}/%{name} -t %{buildroot}/%{_bindir}/
install -Dpm 0644 doc/%{name}.1 -t %{buildroot}/%{_mandir}/man1/
install -Dpm 0644 systemd/%{name}.service -t %{buildroot}/%{_unitdir}/
install -Dpm 0644 systemd/%{name}.conf -t %{buildroot}/%{_modulesloaddir}/
install -Dpm 0644 udev/*-%{name}.rules -t %{buildroot}/%{_udevrulesdir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_unitdir}/%{name}.service
%{_modulesloaddir}/%{name}.conf
%{_udevrulesdir}/*-%{name}.rules

%changelog
%autochangelog
